From d9218d082397d9b87a3e126bce4a45e9ec720ff2 Mon Sep 17 00:00:00 2001
From: Melanie Plageman <melanieplageman@gmail.com>
Date: Mon, 3 Apr 2023 16:38:47 -0400
Subject: [PATCH v1] Document standalone backend type in pg_stat_activity

Reported-by: Pavel Luzanov <p.luzanov@postgrespro.ru>
Discussion: https://www.postgresql.org/message-id/fcbe2851-f1fb-9863-54bc-a95dc7a0d946%40postgrespro.ru
---
 doc/src/sgml/monitoring.sgml | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index d5a45f996d..a00fe9c6a3 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -989,10 +989,12 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
        <literal>parallel worker</literal>, <literal>background writer</literal>,
        <literal>client backend</literal>, <literal>checkpointer</literal>,
        <literal>archiver</literal>,
-       <literal>startup</literal>, <literal>walreceiver</literal>,
-       <literal>walsender</literal> and <literal>walwriter</literal>.
-       In addition, background workers registered by extensions may have
-       additional types.
+       <literal>startup</literal>,
+       <literal>standalone backend</literal> (which includes both the
+       <xref linkend="app-postgres-single-user"/> process and bootstrap
+       process), <literal>walreceiver</literal>, <literal>walsender</literal>
+       and <literal>walwriter</literal>. In addition, background workers
+       registered by extensions may have additional types.
       </para></entry>
      </row>
     </tbody>
-- 
2.37.2

